package de.aristaflow.adept2.core.checks.processmodel.timemodel;

import de.aristaflow.adept2.base.service.ADEPT2Service;
import de.aristaflow.adept2.core.checks.processmodel.ProcessTemplateCheck;

public interface TemporalProcessCheckService extends ADEPT2Service {
  /* {src_lang=Java}*/

  public static final String COMPONENT_TYPE_TIME_MODEL_CHECKS = "TimeModelChecks";
  
  public ProcessTemplateCheck getExecutionProductionChecks();

  public ProcessTemplateCheck getExecutionTestClientChecks();

  public ProcessTemplateCheck getProcessTemplateStructureChecks();

}