package de.aristaflow.adept2.core.timemanager;

import java.util.Map;

import de.aristaflow.adept2.model.timemodel.Schedule;
import de.aristaflow.adept2.util.DataSourceException;

public interface ScheduleManager
{
  public Map<String, Schedule> getKnownCustomCalendars() throws DataSourceException;
  
  public void addCustomCalendar(String id, Schedule calendar) throws DataSourceException;

  public void removeCustomCalendar(String id) throws DataSourceException;
}
