package de.aristaflow.adept2.core.timemanager;

import de.aristaflow.adept2.base.communication.annotations.ProxyAllow;
import de.aristaflow.adept2.model.processmodel.Template;
import de.aristaflow.adept2.model.timemodel.TemplateTimeModel;
import de.aristaflow.adept2.model.timemodel.TimeModelFactory;

@ProxyAllow
public interface TimeModellingService
{

  TemplateTimeModel createTimeModelForTemplate(Template temporalTemplate);
  
  TimeModelFactory getTimeModelFactory();

  ScheduleEvaluation getScheduleEvaluation();
  
  ScheduleManager getScheduleManager();

}
