package de.aristaflow.adept2.core.timemanager;

import de.aristaflow.adept2.model.processmodel.timemodel.ActivityInstanceReference;

public interface TimePrediction {
  /* {src_lang=Java}*/


  
  public long getPredictedEarliestStart(ActivityInstanceReference activity);

  public long getPredictedLatestStart(ActivityInstanceReference activity);

  public long getPredictedEarliestFinish(ActivityInstanceReference activity);

  public long getPredictedLatestFinish(ActivityInstanceReference activity);

  public long getExpectedStart(ActivityInstanceReference activity);

  public long getExpectedFinish(ActivityInstanceReference activity);

}