package de.aristaflow.adept2.core.timemanager.defaultimplementation;

public interface TriggerManager
{
  public interface Trigger
  {
    public boolean equals(Object other);
    
    public int hashCode();

    public long getTriggerTime();

    public Runnable getRunnable();

    public boolean interruptOnCancel();
  }
  
  public void setTrigger(Trigger trigger);
  
  public void cancelTrigger(Trigger trigger);
  
  public void shutdown();
}
