package de.aristaflow.adept2.core.timemanager.defaultimplementation.timeControl;

import de.aristaflow.adept2.base.sessionmanagement.SessionToken;
import de.aristaflow.adept2.model.common.timedata.TimePoint;
import de.aristaflow.adept2.model.processmodel.timemodel.ActivityInstanceReference;
import de.aristaflow.adept2.util.CheckReport;

public interface ActivityDurationControlManager {
  /* {src_lang=Java}*/


  
  public CheckReport setMinimumDuration(SessionToken session, ActivityInstanceReference activity, TimePoint minimumDuration, boolean force);

  public CheckReport setMaximumDuration(SessionToken session, ActivityInstanceReference activity, TimePoint maximumDuration, boolean force);

  public void setExpectedDuration(SessionToken session, ActivityInstanceReference activity, TimePoint expectedDuration);

  public CheckReport tryMinimumDuration(SessionToken session, ActivityInstanceReference activity, TimePoint minimumDuration);

  public CheckReport tryMaximumDuration(SessionToken session, ActivityInstanceReference activity, TimePoint maximumDuration);

}