package de.aristaflow.adept2.model.processmodel.timemodel;

import de.aristaflow.adept2.model.common.PluginData;
import de.aristaflow.adept2.model.common.viewer.Attribute;
import de.aristaflow.adept2.model.common.viewer.AttributeSetter;

/**
 * @author   lanz
 */
public interface FixedDateUpdateProcedureData {
  /* {src_lang=Java, java_import=de.aristaflow.adept2.model.common.viewer.Attribute, java_import=de.aristaflow.adept2.model.common.viewer.AttributeSetter}*/


  
  /**
   * @return
   * @uml.property  name="procedureID"
   */
  @Attribute(name="FixedDateUpdateProcedureID")
  public String getProcedureID();

  /**
   * @uml.property  name="updateTriggerList"
   * @uml.associationEnd  multiplicity="(0 -1)" container="de.aristaflow.adept2.model.common.PluginData"
   */
  @Attribute(name="UpdateTriggerList")
  public PluginData[] getUpdateTriggerList();
  
  /**
   * @uml.property  name="updateTriggerList"
   * @uml.associationEnd  multiplicity="(0 -1)" container="de.aristaflow.adept2.model.common.PluginData"
   */
  @AttributeSetter("UpdateTriggerList")
  public void setUpdateTriggerList(PluginData[] updateTriggers);
  
  /**
   * @uml.property  name="configuration"
   * @uml.associationEnd  
   */
  @Attribute(name="Configuration")
  public PluginData getConfiguration();

  /**
   * @param  id
   * @uml.property  name="procedureID"
   */
  @AttributeSetter("FixedDateUpdateProcedureID")
  public void setProcedureID(String id);

  /**
   * @param  configuration
   * @uml.property  name="configuration"
   */
  @AttributeSetter("Configuration")
  public void setConfiguration(PluginData configuration);

  @Attribute(name="Description")
  public String getDescription();
  
  @AttributeSetter("Description")
  public void setDescription(String description);
}