package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.expression;


/**
 * 
 * @autor Abdel Guerroudj
 */

public class SingleSelection implements SimpleSlicing
{
  public SelectionFunctions selectionFunction;

  public int intSelectionFunction;

  private CalendarExpression calendarExpression;

  
  public void setCalendarExpression(CalendarExpression calendarExpression)
  {
    this.calendarExpression = calendarExpression;
  }
  
  public CalendarExpression getCalendarExpression()
  {
    return this.calendarExpression;
  }


  /**
   * @param selectionFunction the selectionFunction to set
   */
  public void setSelectionFunction(SelectionFunctions selectionFunction)
  {
    this.selectionFunction = selectionFunction;
  }

  /**
   * @param intSelectionFunction the intSelectionFunction to set
   */
  public void setSelectionFunction(int intSelectionFunction)
  {
    this.selectionFunction = SelectionFunctions.n;
    this.intSelectionFunction = intSelectionFunction;
  }

  /**
   * @return the selectionFunction
   */
  public SelectionFunctions getSelectionFunction()
  {
    return selectionFunction;
  }

  /**
   * @return the intSelectionFunction
   */
  public int getIntSelectionFunction()
  {
    return intSelectionFunction;
  }
  
  public BasicCalendar getGranule()
  {
    return this.calendarExpression != null ? this.calendarExpression.getGranule() : null;
  }

  public String toString()
  {
    StringBuilder s = new StringBuilder();
      switch (selectionFunction)
      {
        case any:
          s.append("any");
          break;
        case the:
          s.append("the");
          break;
        case n:
          s.append(intSelectionFunction);
          break;
      }
      
      s.append("/");
      s.append(calendarExpression);
      
      return s.toString();
  }

}
