package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.script;

import de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.expression.CalendarExpression;
import de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.expression.Ident;
/**
 * Assignement beschreibt ein Calenderexpression zuweisung und enthählt somit
 * zwei Attribute,Erste von type Ident, der der Name von Variable enthält 
 * und zweite von Type CalenderExpression
 * @author Abdel Guerroudj
 */

public class AssignementStmt implements CalendarStatement {
	private Ident ident;
	private CalendarExpression calendarExpression;
	
	
	public AssignementStmt() {
	}

	/**
	 * @return the ident
	 */
	public Ident getIdent() {
		return ident;
	}

    /**
	 * @param ident the ident to set
	 */
	public void setIdent(Ident ident) {
		this.ident = ident;
	}

    
	/**
	 * @return the calendarExpression
	 */
	public CalendarExpression getCalendarExpression() {
		return calendarExpression;
	}

    
	/**
	 * @param calendarExpression the calendarExpression to set
	 */
	public void setCalendarExpression(CalendarExpression calendarExpression) {
		this.calendarExpression = calendarExpression;
	}


	public boolean isStmtEmpty() {
		return (ident == null| (calendarExpression == null));
	}
	
	public String toString()
	{
	  return ident + "=" + calendarExpression;
	}
	
	
}
