package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.script;

public class ReturnString implements ReturnStmt
{
  private final String str;
  
  public ReturnString(String str)
  {
    if (str == null)
      throw new IllegalArgumentException("null");
    this.str = str;
    
  }

  /**
   * @return the identString
   */
  public String getIdentString()
  {
    return str;
  }

  public String toString()
  {
    return "return("+str+")";
  }

  @Override
  public boolean isStmtEmpty()
  {
    return false;
  }
  
}
