package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.script;

import de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.expression.CalendarExpression;

/**
 *Beschreibt ein While Statement mit  Condition- und Body-teil
 *@author Abdel Guerroudj
 */

public class WhileStmt implements CalendarStatement {
	private CalendarExpression condition;
	private CalendarScript calendarScript;
//	private ReturnStmt returnStmt;
	
	
	
	public WhileStmt() {
		calendarScript = new CalendarScript();
	}



	/**
	 * @return the condition
	 */
	public CalendarExpression getCondition() {
		return condition;
	}



	/**
	 * @param condition the condition to set
	 */
	public void setCondition(CalendarExpression condition) {
		this.condition = condition;
	}



	/**
	 * @return the calendarScript
	 */
	public CalendarScript getCalendarScript() {
		return calendarScript;
	}



//	/**
//	 * @param calendarScript the calendarScript to set
//	 */
//	public void setCalendarScript(CalendarScript calendarScript) {
//		this.calendarScript = calendarScript;
//	}


	public void addStatement(CalendarStatement statement)
	{
	  this.calendarScript.addStatement(statement);
	}

//	/**
//	 * @return the returnStmt
//	 */
//	public ReturnStmt getReturnStmt() {
//		return returnStmt;
//	}
//
//
//
//	/**
//	 * @param returnStmt the returnStmt to set
//	 */
//	public void setReturnStmt(ReturnStmt returnStmt) {
//		this.returnStmt = returnStmt;
//	}



	@Override
	public boolean isStmtEmpty() {
		return (condition == null);
	}
	
	public String toString()
	{
	  return "while ("+condition+") {"+calendarScript+")}";
	}
	

}
