package de.aristaflow.adept2.model.timemodel;

public abstract class InconsistencyException extends Exception
{

  /**
   * 
   */
  private static final long serialVersionUID = -8068346333726080987L;
  
  private final Object model;

  public InconsistencyException(Object model)
  {
    this.model = model;
  }

  public InconsistencyException(String message, Object model)
  {
    super(message);
    this.model = model;
  }

  public InconsistencyException(String message, Throwable cause, Object model)
  {
    super(message, cause);
    this.model = model;
  }
  
  public Object getModel()
  {
    return model;
  }

}
