package de.aristaflow.adept2.model.timemodel;

import de.aristaflow.adept2.model.common.timedata.CalendarElement;
import de.aristaflow.adept2.model.globals.TimeModelConstants.BaseGranularity;

public interface ScheduleIntervalSet {
  /* {src_lang=Java}*/


    /**
   * 
   * @element-type Interval
   */

  public Schedule getSchedule();

  public BaseGranularity getBaseGranularity();

  public CalendarElement getFrom();

  public CalendarElement getTo();

  public int getSize();

  public ScheduleInterval getInterval(int index);

  public ScheduleIntervalSet getSubSet(CalendarElement from, CalendarElement to);

  public boolean hasNextInterval(CalendarElement from);

  public ScheduleInterval getNextInterval(CalendarElement from);

  public boolean isFinest();

}