package de.aristaflow.adept2.model.timemodel;

import de.aristaflow.adept2.model.eventmodel.EventReference;

public interface UpdateableInstanceTimeContext extends InstanceTimeContext
{
  public void setInstanceCreated(long timestamp);
  
  public void setInstanceStarted(long timestamp);

  public void setInstanceFinished(long timestamp);

  public void setActivityStarted(int nodeID, int iteration, long timestamp);

  public void setActivityFinished(int nodeID, int iteration, long timestamp);

  public void addEventOccurrence(EventReference event);

}
