package de.aristaflow.adept2.model.timemodel.tools;

import java.util.Collection;

public interface Graph<V, E>
{
  Collection<V> getVertices();
  
  Collection<E> getEdges();
  
  E getEdge(V v1, V v2);
    
  public void visit(GraphVisitor<V, E> visitor);
}
