package de.aristaflow.adept2.model.timemodel.tools;

import java.util.Collection;

public interface UndirectedGraph<V, E> extends  Graph<V, E>
{
  Collection<V> getVertices();
  
  E getEdge(V v1, V v2);
  
  void visit(GraphVisitor<V, E> visitor);
  
  Collection<V> getAdjacenceList(V v);
}
