package de.aristaflow.adept2.model.timemodel.tcn.stnuImpl;

import org.junit.Before;

import de.aristaflow.adept2.model.timemodel.tcn.defaultimplementation.AbstractSTNUDCSolverTest;
import de.aristaflow.adept2.model.timemodel.tcn.stnuImpl.STNUDCSolver;


public class STNUDCSolverTest extends AbstractSTNUDCSolverTest
{
  private STNUDCSolver solver;


  @Before
  public void setUp()
  {
    solver = new STNUDCSolver();
  }
  

//  @Test
//  public void testAdvancement() throws InconsistencyException
//  {
//    TemporalTemplate template = TestTools.simpleTimeTestContingent;
//
//    CSTNUTemplateTransformation trafo = new CSTNUTemplateTransformation(template,
//                                                                        0,
//                                                                        false);
//    CSTNU baseCstnu = trafo.transform();
//    
//    CSTNU cstnu1 = baseCstnu.clone();
//    CSTNU cstnu2 = baseCstnu.clone();
//    CSTNU res;
//    
//    DCCSTNUTemplateTimeModelSolver updater = new DCCSTNUTemplateTimeModelSolver();
//
//    
//    CSTNUInstanceTimeModel timeModel1 = new CSTNUInstanceTimeModel(template, (new CstnuCStnProjection(cstnu1, false)).clone(), cstnu1);
//    CSTNUInstanceTimeModel timeModel2 = new CSTNUInstanceTimeModel(template, (new CstnuCStnProjection(cstnu2, false)).clone(), cstnu2);
//    
//    updater.solve(timeModel1);
//    
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//       
////    CSTNU diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////      diff.visit(visitor.getInstance("diff"));
//
//    
//    timeModel1.setInstanceCreationTime(1000);
//    timeModel2.setInstanceCreationTime(1000);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////    {
////      diff.visit(visitor.getInstance("diff2"));
////    }
//    
//        
//    timeModel1.setActivityInstanceStartTime(0, 0, 3000);
//    timeModel2.setActivityInstanceStartTime(0, 0, 3000);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////      diff.visit(visitor.getInstance("diff3"));
//    
//    timeModel1.setActivityInstanceFinishTime(0, 0, 4000);
//    timeModel2.setActivityInstanceFinishTime(0, 0, 4000);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////      diff.visit(visitor.getInstance("diff4"));
//    
//    timeModel1.setActivityInstanceStartTime(2, 0, 5000);
//    timeModel2.setActivityInstanceStartTime(2, 0, 5000);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////    {
////      diff.visit(visitor.getInstance("diff5"));
////    }
////      
//    
//    for (NodeMapping<LabeledNode> node : cstnu1.getNodeMapping())
//    {
//      int nodeID = node.getNodeID();
//      Interval<CalendarElement> c1 = timeModel1.getActivityInstanceStartTimeframe(nodeID, 0);
//      Interval<CalendarElement> c2 = timeModel2.getActivityInstanceStartTimeframe(nodeID, 0);
//      
//      assertEquals("Node: "+nodeID, c1, c2);
//    }
//    
//    
//    timeModel1.setActivityInstanceFinishTime(2, 0, 12000l*60);
//    timeModel2.setActivityInstanceFinishTime(2, 0, 12000l*60);
//        
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////      diff.visit(visitor.getInstance("diff6"));
//       
//    
//    for (NodeMapping<LabeledNode> node : cstnu1.getNodeMapping())
//    {
//      int nodeID = node.getNodeID();
//      Interval<CalendarElement> c1 = timeModel1.getActivityInstanceStartTimeframe(nodeID, 0);
//      Interval<CalendarElement> c2 = timeModel2.getActivityInstanceStartTimeframe(nodeID, 0);
//      
//      assertEquals("Node: "+nodeID, c1, c2);
//    }
//    
////    System.out.println("Start Time Frame: "+timeModel1.getActivityInstanceStartTimeframe(3, 0));
//    timeModel1.setActivityInstanceStartTime(3, 0, 12500l*60);
////    System.out.println("Start Time Frame: "+timeModel2.getActivityInstanceStartTimeframe(3, 0));
//    timeModel2.setActivityInstanceStartTime(3, 0, 12500l*60);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    diff = TestTools.diff(res, cstnu2);
////    if (diff.getTCNEdges().size() > 0)
////      diff.visit(visitor.getInstance("diff7"));
//    
//    for (NodeMapping<LabeledNode> node : cstnu1.getNodeMapping())
//    {
//      int nodeID = node.getNodeID();
//      Interval<CalendarElement> c1 = timeModel1.getActivityInstanceStartTimeframe(nodeID, 0);
//      Interval<CalendarElement> c2 = timeModel2.getActivityInstanceStartTimeframe(nodeID, 0);
//      
//      assertEquals("Node: "+nodeID, c1, c2);
//    }
//    
//    
//    timeModel1.setActivityInstanceFinishTime(3, 0, 22500l*60);
//    timeModel2.setActivityInstanceFinishTime(3, 0, 22500l*60);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
//    timeModel1.setActivityInstanceStartTime(4, 0, 24000l*60);
//    timeModel2.setActivityInstanceStartTime(4, 0, 24000l*60);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
//    timeModel1.setActivityInstanceFinishTime(4, 0, 30000l*60);
//    timeModel2.setActivityInstanceFinishTime(4, 0, 30000l*60);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
//    timeModel1.setActivityInstanceStartTime(1, 0, 31000l*60);
//    timeModel2.setActivityInstanceStartTime(1, 0, 31000l*60);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
//    timeModel1.setActivityInstanceFinishTime(1, 0, 31000l*60+1000);
//    timeModel2.setActivityInstanceFinishTime(1, 0, 31000l*60+1000);
//    
//    updater.solve(timeModel1);
//    res = (CSTNU) timeModel1.getCSTNUProjection().getBaseTCN();
//
//    updater.solve(timeModel2);
//    cstnu2 = (CSTNU) timeModel2.getCSTNUProjection().getBaseTCN();
//    timeModel2 = new CSTNUInstanceTimeModel(template, (STN<LabeledNode, LabeledEdge>) timeModel2.getBaseTCN(), cstnu2);
//    
////    visitor.drawImplicitConstraints = false;
//  }



  @Override
  public STNUDCSolver getSolver()
  {
    return solver;
  }


}
