package de.aristaflow.adept2.tools.dot;

import de.aristaflow.adept2.model.timemodel.tools.Graph;
import de.aristaflow.adept2.model.timemodel.tools.GraphVisitor;

public class DefaultLabelProvider<V, E> implements
    LabelProvider<V, E> {
  public String getVertexLabel(V v)
  {
  	return v != null ? v.toString() : "";
  }

  public String getEdgeLabel(E e)
  {
  	return e != null ? e.toString() : "";
  }

  public String getGraphLabel(Graph<V, E> g)
  {
    return g != null ? g.toString() : "";
  }

  public void setGraphVisitor(GraphVisitor<V, E> visitor)
  {
    // 
    
  }

  @Override
  public String getEdgeTailLabel(E e)
  {
    return null;
  }
}