package de.aristaflow.adept2;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import de.aristaflow.adept2.tools.dot.DotTools;
import de.aristaflow.adept2.tools.dot.EclipseResourceLocator;

public class Activator implements BundleActivator
{

  private static Activator plugin;

  @Override
  public void start(BundleContext context) throws Exception
  {
    plugin = this;
    System.out.println("Plugin Activated");
    DotTools.locator = new EclipseResourceLocator();
  }

  @Override
  public void stop(BundleContext context) throws Exception
  {
    plugin = null;
  }
  
  /**
   * Returns the shared instance
   * 
   * @return the shared instance
   */
  public static Activator getDefault()
  {
    return plugin;
  }


}
