package de.aristaflow.adept2.core.checks.processmodel.timemodel;

import org.apache.commons.configuration.Configuration;

import de.aristaflow.adept2.base.service.Registry;
import de.aristaflow.adept2.core.checks.processmodel.CompositeProcessTemplateCheck;
import de.aristaflow.adept2.core.checks.processmodel.ProcessCheckService;
import de.aristaflow.adept2.core.checks.processmodel.ProcessTemplateCheck;

public class AllTemporalProcessChecks extends CompositeProcessTemplateCheck
{


  
  public AllTemporalProcessChecks(Configuration configuration,
      ProcessCheckService checkService, Registry registry)
  {
    super(new ProcessTemplateCheck[]
        { new BasicTemporalProcessCheck(configuration, checkService, registry)
        });
  }

}
