package de.aristaflow.adept2.core.timemanager.defaultimplementation.timeControl;

import de.aristaflow.adept2.base.sessionmanagement.SessionToken;
import de.aristaflow.adept2.model.common.timedata.CalendarElement;
import de.aristaflow.adept2.model.eventmodel.EventDescription;
import de.aristaflow.adept2.util.CheckReport;

public interface FixedDateControlManager {
  /* {src_lang=Java}*/


  
  public CheckReport setEarliestDate(SessionToken session, EventDescription activity, CalendarElement date, boolean force);

  public CheckReport setLatestDate(SessionToken session, EventDescription activity, CalendarElement date, boolean force);

  public CheckReport tryEarliestDate(SessionToken session, EventDescription activity, CalendarElement date);

  public CheckReport tryLatestDate(SessionToken session, EventDescription activity, CalendarElement date);

}