package de.aristaflow.adept2.core.timemanager.defaultimplementation.timeControl;

import de.aristaflow.adept2.base.sessionmanagement.SessionToken;
import de.aristaflow.adept2.model.common.timedata.TimePoint;
import de.aristaflow.adept2.model.eventmodel.EventDescription;
import de.aristaflow.adept2.util.CheckReport;

public interface TimeLagControlManager {
  /* {src_lang=Java}*/


  
  public CheckReport setMinimumTimeLag(SessionToken session, EventDescription start, EventDescription end, TimePoint timeLag, boolean force);

  public CheckReport setMaximumTimeLag(SessionToken session, EventDescription start, EventDescription end, TimePoint timeLag, boolean force);

  public CheckReport setExpectedTimeLag(SessionToken session, EventDescription start, EventDescription end, TimePoint timeLag);

  public CheckReport tryMinimumTimeLag(SessionToken session, EventDescription start, EventDescription end, TimePoint timeLag);

  public CheckReport tryMaximumTimeLag(SessionToken session, EventDescription start, EventDescription end, TimePoint timeLag);

}