package de.aristaflow.adept2.core.timemanager.storage;

import java.util.Map;

import de.aristaflow.adept2.model.timemodel.Schedule;
import de.aristaflow.adept2.util.DataSourceException;

public interface TimeManagerStorage
{
  public Map<String, Schedule> getAllCustomCalendars() throws DataSourceException;
  
  public void storeCustomCalendar(String id, Schedule calendar) throws DataSourceException;

  public void removeCustomCalendar(String id) throws DataSourceException;
  
  
}
