package de.aristaflow.adept2.core.timemanager.storage.transientstorage;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import de.aristaflow.adept2.core.timemanager.storage.TemplateTimeModelStorage;
import de.aristaflow.adept2.model.timemodel.TemplateTimeModel;

public class TransientTemplateTimeStorage implements TemplateTimeModelStorage
{

  private Map<UUID, TemplateTimeModel> timeModels;
  
  public TransientTemplateTimeStorage()
  {
    this.timeModels = new HashMap<UUID, TemplateTimeModel>();
  }
  
  public TemplateTimeModel getTimeModel(UUID templateID)
  {
    return this.timeModels.get(templateID);
  }

  public void storeTimeModel(UUID templateID, TemplateTimeModel timeModel)
  {
    this.timeModels.put(templateID, timeModel);
  }

  public UUID[] getAllTimeModels()
  {
    return this.timeModels.keySet().toArray(new UUID[this.timeModels.size()]);
  }

}
