package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.expression;


public class IntervalSelection implements Slicing
{

  
  private int from;
  private int to;
  private CalendarExpression calendarExpression;

  public IntervalSelection(int from, int to)
  {
    this.from = from;
    this.to = to;
    
  }
  
  public void setCalendarExpression(CalendarExpression calendarExpression)
  {
    this.calendarExpression = calendarExpression;    
  }

  public CalendarExpression getCalendarExpression()
  {
    return calendarExpression;
  }

  public int getStartIndext()
  {
    return from;
  }

  public int getEndIndex()
  {
    return to;
  }
  
  public BasicCalendar getGranule()
  {
    return this.calendarExpression != null ? this.calendarExpression.getGranule() : null;
  }
  
  @Override
  public String toString()
  {
    return "["+from+"-"+to+"]/"+this.calendarExpression;
  }

}
