package de.aristaflow.adept2.model.processmodel.timemodel.schedules.lang.script;

import java.util.LinkedList;

/**
 * CalendarScript beschreibt eine Liste von beliebige Kombination der Statements
 * (Assignement-,if- oder whileStmt ) und Optional ein Return Statement
 * 
 * @author Abdel Guerroudj
 */

public class CalendarScript
{
  private LinkedList<CalendarStatement> stmtList;

  private ReturnStmt returnStmt;

  public CalendarScript()
  {
    stmtList = new LinkedList<CalendarStatement>();
  }

  /* Um einen Statement in der Liste hinzufügen */
  public void addStatement(CalendarStatement statement)
  {
    if (statement != null)
    {
      if (!statement.isStmtEmpty())
        stmtList.add(statement);
    }
    else
    {// TODO Fehlermeldung!

    }
  }
//
//  public void setStmtList(LinkedList<Statements> stmtList)
//  {
//    this.stmtList = stmtList;
//  }

  public LinkedList<CalendarStatement> getStmtList()
  {
    return stmtList;
  }

  @Override
  public String toString()
  {
    return stmtList.toString()+returnStmt;
  }
//
//  public ReturnStmt getReturnStmt()
//  {
//    return returnStmt;
//  }
//
//  public void setReturnStmt(ReturnStmt returnStmt)
//  {
//    this.returnStmt = returnStmt;
//  }
}
