package de.aristaflow.adept2.model.timemodel;

import java.util.Iterator;





public interface ChangeSet<E, T, R>
{
  
  
  public interface ChangeEntry<E, T, R>
  {

    E getElement();
    
    R getCausedBy();

    T getOldValue();

    T getNewValue();

    String getReason();
  }
  
  //public void logChange(E element, T oldValue, T newValue, String reason);
  public void logChange(E element, T oldValue, T newValue, R causedBy, String reason);
  public void logChange(E element, T oldValue, T newValue, R causedBy);
  public boolean hasChange(E element);
  //public ChangeEntry<E, T, R> getLatestChange(E element);
//  public Iterator<ChangeEntry<E, T, R>> getHistory();
  Iterator<ChangeEntry<E, T, R>> iterator();
  

}
