package de.aristaflow.adept2.model.timemodel.tcn;

import java.util.Collection;

import de.aristaflow.adept2.model.timemodel.tools.GraphVisitor;

public interface ConstraintDependencyGraph<E extends TCNEdge<?, ?>> //extends DirectedGraph<E, Object>
{
  
  public void visit(GraphVisitor<Object, Object> visitor);

  public Collection<E> getVertices();

  public Collection<Object> getEdges();

  public Object getEdge(E from, E to);

}