package de.aristaflow.adept2.model.timemodel.tcn;

import java.util.Collection;

import de.aristaflow.adept2.model.timemodel.tcn.Label.ChoiceVariableBinding;

public interface ExecutableCSTNU extends CSTNU, ExecutableTCN<LabeledTimePoint, LabeledEdge>
{

  Collection<LabeledTimePoint> getExecutableTimePoints(long now);
  Collection<LabeledTimePoint> getActiveTimePoints();

  void executeTimePoint(LabeledTimePoint timePoint, long now) throws TCNInconsistencyException;
  void executeObservationTimePoint(ObservationTimePoint timePoint, long now, ChoiceVariableBinding observation) throws TCNInconsistencyException;
  
  

}
