package de.aristaflow.adept2.model.timemodel.tcn;

import de.aristaflow.adept2.model.common.PluginDataContainer;


public interface TCNTimePoint extends PluginDataContainer
{

  /**
   * @return the node instance (i.e., node and iteration) this labeled tcn node belongs to
   */
  NodeInstance getNodeInstance();
  
  /**
   * @return the event of the <code>nodeInstance</code> this labeled tcn node describes
   */
  String getEventID();

  /**
   * @return the set of labels representing the process instance types this labeled node belongs to
   */
  Label getLabel();
  
}
