package de.aristaflow.adept2.model.timemodel.tcn.defaultimplementation;

import de.aristaflow.adept2.model.common.timedata.TimeDistance;
import de.aristaflow.adept2.model.timemodel.tcn.LabeledTimePoint;
import de.aristaflow.adept2.model.timemodel.tcn.LabeledValue;

public interface ContingentLabeledValue extends LabeledValue
{

  public enum ConstraintCase 
  {
    UPPERCASE,
    LOWERCASE;
    
    public ConstraintCase invert()
    {
      return this == UPPERCASE ? LOWERCASE : UPPERCASE;
    }
  }
  

  LabeledTimePoint getTrigger();
  

  ConstraintCase getCase();

  TimeDistance getContingentValue();


  TimeDistance getSTNValue();
}
