package de.aristaflow.adept2.model.timemodel.tools;

public class DefaultWeightedEdge<V, W> implements WeightedEdge<V, W>
{

  private final V source;
  private final V target;
  private final W weight;

  public DefaultWeightedEdge(V source, V target, W weight)
  {
    this.source = source;
    this.target = target;
    this.weight = weight;
  }
  
  @Override
  public V getSource()
  {
    return source;
  }

  @Override
  public V getTarget()
  {
    return target;
  }

  @Override
  public W getWeight()
  {
    return weight;
  }

}
