package de.aristaflow.adept2.model.timemodel.tools;

import java.util.Collection;

/**
 * 
 * @author Andreas Lanz
 * 
 * @param <V> Type of Vertices
 * @param <E> Type of Edges
 */
public interface DirectedGraph<V, E> extends  Graph<V, E>
{
  Collection<V> getVertices();
  
  Collection<E> getEdges();
  
  E getEdge(V from, V to);
    
  void visit(GraphVisitor<V, E> visitor);
}

