package de.aristaflow.adept2.model.processmodel.simulator;

public interface SimulationCallback
{

  void instanceCreated(long timestamp);

  void activityStarted(int nodeID, int iteration, long timestamp);

  void activityFinished(int nodeID, int iteration, long timestamp);

  void activityActivated(int nodeID, int iteration, long timestamp);

  void activitySkipped(int nodeID, int iteration, long timestamp);

  void instanceFinished(long timestamp);

}
