package de.aristaflow.adept2.model.processmodel.simulator;

import de.aristaflow.adept2.model.processmodel.TemporalNode;

public interface SimulationStrategy
{

  long determineNodeDuration(TemporalNode node);

  long getProcessInstanceCreationTime();

  long determineNodeStartTime(TemporalNode node, long currentTime);

  int determineXORBranch(TemporalNode node);

  boolean determineLoop(TemporalNode node);

}
