package de.aristaflow.adept2.model.timemodel.defaultimplementation;

import static org.junit.Assert.*;

import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;

import de.aristaflow.adept2.model.common.timedata.TimeDistance;
import de.aristaflow.adept2.model.common.timedata.defaultimplementation.DefaultCalendarElement;
import de.aristaflow.adept2.model.common.timedata.defaultimplementation.DefaultTimeDistance;

@Ignore
public class DefaultTimeModelOperationsTest
{

  private static DefaultTimeModelOperations timeModelTools;

  @BeforeClass
  public static void setUpBeforeClass() throws Exception
  {
    timeModelTools = new DefaultTimeModelOperations();
  }

  @Test
  public void testCompareCalendarElementLong() throws Exception
  {
    long timeInMillis = 1388263826581l;
    assertEquals(0, timeModelTools.compare(new DefaultCalendarElement(timeInMillis), timeInMillis));
    assertEquals(1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis+1), timeInMillis));
    assertEquals(-1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis-1), timeInMillis));
    assertEquals(1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis+42), timeInMillis));
    assertEquals(-1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis-13), timeInMillis));
    assertEquals(1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis), timeInMillis-1));
    assertEquals(-1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis), timeInMillis+1));
    assertEquals(1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis), timeInMillis-42));
    assertEquals(-1, timeModelTools.compare(new DefaultCalendarElement(timeInMillis), timeInMillis+13));
    assertEquals(0, timeModelTools.compare(new DefaultCalendarElement(timeInMillis+42), timeInMillis+42));
    assertEquals(0, timeModelTools.compare(new DefaultCalendarElement(timeInMillis-13), timeInMillis-13));
  }

  @Test
  public void testCompareTimePointTimePoint() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testAddLongTimePoint() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testCompareCalendarElementCalendarElement() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testConvertToSeconds() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testConvertToTimePoint() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testConvertToCalendarElement() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testSecondsToTimeDistance() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testConvertToTimeDistance() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testAddLongTimeDistance() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }

  @Test
  public void testMillisecondsToTimeDistance() throws Exception
  {
    throw new RuntimeException("not yet implemented");
  }


  



}
