//package de.aristaflow.adept2.model.timemodel.tcn.defaultimplementation;
//
//import java.util.Arrays;
//import java.util.Collection;
//import java.util.HashSet;
//import java.util.Iterator;
//import java.util.Set;
//
//import org.apache.commons.lang.NotImplementedException;
//
//import de.aristaflow.adept2.model.timemodel.ChangeSet;
//import de.aristaflow.adept2.model.timemodel.ChangeSet.ChangeEntry;
//import de.aristaflow.adept2.model.timemodel.defaultimplementation.DefaultChangeEntry;
//import de.aristaflow.adept2.model.timemodel.tools.DirectedGraph;
//import de.aristaflow.adept2.model.timemodel.tools.GraphVisitor;
//import de.aristaflow.adept2.util.Tuple;
//
//
//public class ChangeSetGraph<E, T> implements DirectedGraph<E, Object>
//{
//
//  private ChangeSet<E, T, Tuple<E, E>> changeSet;
//  private E[] tuple;
//
//  public ChangeSetGraph(
//      ChangeSet<E, T, Tuple<E, E>> changeSet,
//      E... tuple)
//  {
//    this.changeSet = changeSet;
//    this.tuple = tuple;
//  }
//
//
//  public void visit(
//      GraphVisitor<E, Object> visitor)
//  {
//    visitor.discoverGraph(this);
//    
//    Set<E> diff = null;
//    if (tuple.length > 0)
//    {
//      diff = new HashSet<E>();      
//      diff.addAll(Arrays.asList(tuple));
//    }
//    
//    Iterator<ChangeEntry<E, T, Tuple<E, E>>> history = changeSet.getHistory();
//    
//    for (E t : tuple)
//    {
//      if (t != null)
//      {
//        //ChangeEntry<E, T, Tuple<E, E>> latestChange = changeSet.getLatestChange(t);
//        visitor.discoverVertex(t);
//        visitor.finishVertex(t);
//      }
//    }
//    
//    for (; history.hasNext(); )
//    {
//      DefaultChangeEntry<E, T, Tuple<E, E>> entry = (DefaultChangeEntry<E, T, Tuple<E, E>>) history.next();
//      
//      if (diff == null || diff.contains(entry.getElement()))
//      {
//        Tuple<E, E> reason = entry.getCausedBy();
//        visitor.discoverVertex(entry.getElement());
//
//        if (diff != null)
//          diff.remove(entry.getElement());
//       
//        if (reason != null)
//        {
//        
//          E child1 = reason.getFirst();
//          visitor.discoverVertex(child1);
//          visitor.finishVertex(child1);
//          visitor.discoverEdge(child1, entry.getElement(), entry);
//          visitor.finishEdge(child1, entry.getElement(), entry);
//          
//          E child2 = reason.getSecond();
//          visitor.discoverVertex(child2);
//          visitor.finishVertex(child2);
//          visitor.discoverEdge(child2, entry.getElement(), entry);
//          visitor.finishEdge(child2, entry.getElement(), entry);
//          
//          if (diff != null)
//          {
//            diff.add(child1);
//    
//            diff.add(child2);
//          }
//        }
//
//        visitor.finishVertex(entry.getElement());
//
//
//      }
//    }
//    
//    
//    visitor.finishGraph(this);
//    
//  }
//
//
//
//
//  public Collection<Object> getEdges()
//  {
//    throw new NotImplementedException();
//  }
//
//
//  public Tuple<T, T> getEdge(Tuple<E, E> from, Tuple<E, E> to)
//  {
//    throw new NotImplementedException();
//  }
//
//
//  public Collection<E> getVertices()
//  {
//    throw new NotImplementedException();
//  }
//
//
//  public Tuple<T, T> getEdge(E from, E to)
//  {
//    throw new NotImplementedException();
//  }
//
//
//
//}
