package de.aristaflow.adept2.model.timemodel.tcn.defaultimplementation;

import static org.junit.Assert.fail;

import java.util.List;

import org.junit.Ignore;
import org.junit.Test;

import de.aristaflow.adept2.model.processmodel.TemporalTemplate;
import de.aristaflow.adept2.model.timemodel.tcn.CSTN;
import de.aristaflow.adept2.model.timemodel.tcn.ChangeableCSTN;
import de.aristaflow.adept2.model.timemodel.tcn.Label;
import de.aristaflow.adept2.model.timemodel.tcn.Label.ChoiceVariable;
import de.aristaflow.adept2.model.timemodel.tcn.cstnImpl.CSTNTemplateTransformation;
import de.aristaflow.adept2.model.timemodel.templates.TestTemplates;

public class ScenarioProjectionTest
{


  @Ignore @Test
  public void testGetTCNNodes()
  {
    fail("Not yet implemented");
  }

  @Ignore @Test
  public void testGetEdge()
  {
    fail("Not yet implemented");
  }
  
  @Test
  public void testProjection()
  {
    TemporalTemplate template = TestTemplates.healthcareExampleTestTemplate;
    
    CSTNTemplateTransformation cstnTrafo = new CSTNTemplateTransformation(template, 0);
    ChangeableCSTN baseCSTN = (ChangeableCSTN) cstnTrafo.transform();
    
    TCNTestTools.assertConsistent(baseCSTN);
//    TCNTestTools.printTCN(baseCSTN, getClass(), "BaseTCN");
    
    List<ChoiceVariable> observations = baseCSTN.getObservations();
    
    
    Observation observation = (Observation) observations.get(0);

    Label scenario = new Proposition(ObservationBinding.createObservationBinding(observation, 0, 0));
    CSTN projection = new ScenarioProjection(baseCSTN, scenario);
    
//    TCNTestTools.printTCN(projection, getClass(), "Projection");
    
    //TCNTestTools.assertTCNEquals(baseCSTN, stnProjection);
  }

}
