//package de.aristaflow.adept2.model.timemodel.tools;
//
//import static org.junit.Assert.*;
//
//import java.util.HashSet;
//import java.util.Set;
//
//import org.junit.Test;
//
//import de.aristaflow.adept2.model.processmodel.algorithms.sesedecomposition.CycleEquivalenceTest;
//import de.aristaflow.adept2.model.processmodel.algorithms.sesedecomposition.EdgeStruct;
//import de.aristaflow.adept2.model.processmodel.algorithms.sesedecomposition.NodeStruct;
//import de.aristaflow.adept2.model.processmodel.algorithms.sesedecomposition.UndirectedGraphTransformationTest;
//import de.aristaflow.adept2.tools.dot.DefaultGraphVisitor;
//
//public class DepthFirstSearchTest
//{
//
//  @Test
//  public void testPerformDepthFirstSearchDirected() throws Exception
//  {
//    NodeStruct sourceNode = new NodeStruct(0, true);
//    DirectedGraph<NodeStruct,EdgeStruct> graph = UndirectedGraphTransformationTest.getSampleGraph(sourceNode);
// 
//    DefaultGraphVisitor<NodeStruct, EdgeStruct> visitor = new DefaultGraphVisitor<NodeStruct, EdgeStruct>("testPerformDepthFirstSearch");
//    graph.visit(visitor);
//
//    final Set<EdgeStruct> edgeSet = new HashSet<EdgeStruct>();
//    final Set<NodeStruct> nodeSet = new HashSet<NodeStruct>();
//    
//    DepthFirstSearch<NodeStruct, EdgeStruct> search = new DepthFirstSearch<NodeStruct, EdgeStruct>(graph);
//    search.performDepthFirstSearch(new GraphVisitor<NodeStruct, EdgeStruct>()
//    {
//      
//      public void finishVertex(NodeStruct vertex)
//      {
//        // 
//        assertTrue(nodeSet.contains(vertex));
//      }
//      
//      public void finishGraph(Graph<NodeStruct, EdgeStruct> graph)
//      {
//        // 
//      }
//      
//      public void finishEdge(NodeStruct startVertex, NodeStruct endVertex, EdgeStruct edge)
//      {
//        // 
//        assertTrue(edgeSet.contains(edge));
//      }
//      
//      public void discoverVertex(NodeStruct vertex)
//      {
//        // 
//        assertTrue(nodeSet.add(vertex));
//      }
//      
//      public void discoverGraph(Graph<NodeStruct, EdgeStruct> graph)
//      {
//        // 
//      }
//      
//      public void discoverEdge(NodeStruct startVertex, NodeStruct endVertex, EdgeStruct edge)
//      {
//        // 
//        assertTrue(edgeSet.add(edge));
//      }
//    }, sourceNode);
//
//    
//    assertEquals(graph.getVertices().size(), nodeSet.size());
//    assertEquals(graph.getEdges().size(), edgeSet.size());
//    
//  }
//  
//  @Test
//  public void testPerformDepthFirstSearchUndirected() throws Exception
//  {
//    NodeStruct sourceNode = new NodeStruct(0, true);
//    UndirectedGraph<NodeStruct,EdgeStruct> graph = CycleEquivalenceTest.getSampleGraph(sourceNode);
// 
//    DefaultGraphVisitor<NodeStruct, EdgeStruct> visitor = new DefaultGraphVisitor<NodeStruct, EdgeStruct>("testPerformDepthFirstSearch");
//    graph.visit(visitor);
//
//    final Set<EdgeStruct> edgeSet = new HashSet<EdgeStruct>();
//    final Set<NodeStruct> nodeSet = new HashSet<NodeStruct>();
//    
//    DepthFirstSearch<NodeStruct, EdgeStruct> search = new DepthFirstSearch<NodeStruct, EdgeStruct>(graph);
//    search.performDepthFirstSearch(new GraphVisitor<NodeStruct, EdgeStruct>()
//    {
//      
//      public void finishVertex(NodeStruct vertex)
//      {
//        // 
////        System.out.println(" <- "+vertex);
//        assertTrue(nodeSet.contains(vertex));
//      }
//      
//      public void finishGraph(Graph<NodeStruct, EdgeStruct> graph)
//      {
//        // 
//      }
//      
//      public void finishEdge(NodeStruct startVertex, NodeStruct endVertex, EdgeStruct edge)
//      {
//        // 
//        assertTrue(edgeSet.contains(edge));
//      }
//      
//      public void discoverVertex(NodeStruct vertex)
//      {
//        // 
////        System.out.println("-> "+vertex);
//        assertTrue(nodeSet.add(vertex));
//      }
//      
//      public void discoverGraph(Graph<NodeStruct, EdgeStruct> graph)
//      {
//        // 
//      }
//      
//      public void discoverEdge(NodeStruct startVertex, NodeStruct endVertex, EdgeStruct edge)
//      {
//        // 
//        // This graph is undirected, so edges are discovered from both sides.
//        edgeSet.add(edge);
//      }
//    }, sourceNode);
//
//    
//    assertEquals(graph.getVertices().size(), nodeSet.size());
//    assertEquals(graph.getEdges().size(), edgeSet.size());
//    
//  }
//
//}
