package de.aristaflow.adept2.tools.dot;

public class DotColor
{

  public static final DotColor BLUE = DotColor.valueOf("blue");
  public static final DotColor GREEN = DotColor.valueOf("green");
  public static final DotColor BLACK = DotColor.valueOf("black");
  public static final DotColor RED = DotColor.valueOf("red");
  public static final DotColor GREY = DotColor.valueOf("grey");
  
  
  private final String color;

  public DotColor(String color)
  {
    this.color = color;
  }

  public String getDotValue()
  {
    return color;
  }

  public static DotColor valueOf(String color)
  {
    return new DotColor(color);
  }

}
