package de.aristaflow.adept2.tools.dot;

import de.aristaflow.adept2.model.timemodel.tools.DirectedGraph;
import de.aristaflow.adept2.model.timemodel.tools.Graph;
import de.aristaflow.adept2.model.timemodel.tools.GraphVisitor;

public interface GraphFormatter<V, E>
{
  public void setGraphVisitor(GraphVisitor<V, E> visitor);
  
	public void formatVertex(V vertex, DotNode node);
	public void formatEdge(E e, DotEdge edge);
	public boolean isVisible(E e);
	public void formatGraph(Graph<V, E> graph, AbstractDotGraph g);
}