package de.aristaflow.adept2.tools.dot;

import de.aristaflow.adept2.model.timemodel.tools.DirectedGraph;
import de.aristaflow.adept2.model.timemodel.tools.Graph;
import de.aristaflow.adept2.model.timemodel.tools.GraphVisitor;

public interface LabelProvider<V, E>
{
  public void setGraphVisitor(GraphVisitor<V, E> visitor);
  
	public String getVertexLabel(V v);
	public String getEdgeLabel(E e);
	public String getEdgeTailLabel(E e);
	public String getGraphLabel(Graph<V, E> g);
}